# Insert Bulk Data From a File Inserts multiple records to the Master Data table from the CSV file. The /loaddata operation is a very efficient and quick way to insert bulk data to the Master Data table. The main advantage is its greater speed when loading thousands of records (compared to e.g. /integrate). >If used in a Groovy logic, it is recommended to use the api.addOrUpdate()) method instead of this loaddata endpoint within the boundCall(). >For more details see the Avoid api.boundCall article. > Please note > If no joinFields are provided in the request, then this operation will insert entire records. It means that in this case (without joinFields) with /loaddata.file it is not possible to update just some fields (for this use the /integrate endpoint instead). The source data must always contain the entire row’s content. Endpoint: POST /loaddata.file/{TypeCode} Security: basic, X-PriceFx-jwt ## Path parameters: - `TypeCode` (string, required) Enter the type code of the entity you want to insert a data to. See the list of Type Codes in the Pricefx Knowledge Base article. Enum: "C", "CDESC", "CX", "JLTV", "LTV", "MLTV", "P", "PBOME", "PCOMP", "PDESC", "PR", "PX", "PXREF", "SL", "SX", "TODO", "UG" ## Query parameters: - `name` (string) The name of the table you want to upload a file to. ## Request fields (multipart/form-data): - `fileName` (string, required) Provide a file in the CSV format. The file must also contain the name column with the name(s) of the table (PX, CX, SX) you are inserting the records to. - `joinFields` (string) Specify fields that make up a Business key. ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.data` (array) - `response.data.uploadStatusId` (integer) - `response.data.loadedRecords` (integer) - `response.data.invalidRecords` (integer) - `response.data.totalRecords` (integer) - `response.status` (integer)